# auto-modeling

**auto-modeling** is a lightweight Python library that automatically trains and tunes machine learning models using [scikit-learn](https://scikit-learn.org) and [Optuna](https://optuna.org). With just a few lines of code, it finds and returns the best model (either for classification or regression) based on your dataset.

---

##  Purpose

The goal of **auto-modeling** is to simplify and automate the process of:

- Selecting the best model for a given task (classification or regression).
- Performing hyperparameter optimization using Optuna.
- Automatically evaluating and validating model performance.
- Making model selection accessible with minimal manual effort.

---

## Features

- ✅ Auto-detects the task type (classification or regression).
- ✅ Uses Optuna for intelligent hyperparameter optimization.
- ✅ Supports multiple models from `scikit-learn`.
- ✅ Clean and simple interface.
- ✅ Returns a fully trained and ready-to-use model.

---

<!-- ## Installation

```bash
pip install scikit-learn optuna pandas numpy -->